"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormManagerProvider = exports.FormManagerContext = void 0;
// External
const react_1 = __importStar(require("react"));
const defaultValue = {
    errorMessages: {
        DEFAULT: 'Wrong format',
        REQUIRED: 'Current field is required!',
        CANNOT_BE_EMPTY: 'Current field is required!',
        NOT_DECIMAL: 'Wrong data type!',
        NOT_POSITIVE_DECIMAL: 'Wrong data type!',
        NOT_INTEGER: 'Wrong data type!',
        NOT_POSITIVE_INTEGER: 'Wrong data type!',
        WRONG_EMAIL: 'Is invalid email!',
        FIELDS_NOT_EQUAL: 'Not equal!',
        TOO_LOW: 'Not valid value!',
        TOO_HIGH: 'Not valid value!',
        DATE_UNDER_MAX_RANGE: 'Date is under max range!',
        DATE_BELOW_MIN_RANGE: 'Date is below min range!',
    },
    fieldValueSelector: {
        checkbox: (event) => event.target.checked,
        default: (event) => event.target.value,
    },
    customValidationRules: {},
    options: {
        isValidateOnChange: false,
    },
};
exports.FormManagerContext = (0, react_1.createContext)(defaultValue);
const FormManagerProvider = (props) => {
    const { children, errorMessages, fieldValueSelector, customValidationRules, options, } = props;
    const data = {
        errorMessages: { ...defaultValue.errorMessages, ...errorMessages },
        customValidationRules: {
            ...defaultValue.customValidationRules || {},
            ...customValidationRules || {},
        },
        fieldValueSelector: {
            ...defaultValue.fieldValueSelector || {},
            ...fieldValueSelector || {},
        },
        options: {
            ...defaultValue.options,
            ...options,
        },
    };
    return (react_1.default.createElement(exports.FormManagerContext.Provider, { value: data }, children));
};
exports.FormManagerProvider = FormManagerProvider;
//# sourceMappingURL=FormManager.js.map